<template>
<v-container>
  <v-breadcrumbs
    :items="items"
    divider="/"
    class="pt-0"
    ></v-breadcrumbs>

  <template v-if="user.authenticated">
    Access token will expire <timeago :datetime="accessTokenExpireTime" auto-update></timeago>.

    <!-- Avatar -->
    <input id="chooseAvatar" style="display:none" name="files" type="file"
           accept=".jpg,.png" />
    <v-avatar
      class="mb-4"
      size="80"
      color="grey lighten-4"
      @click="changeAvatar"
      >
      <img src="https://vuetifyjs.com/apple-touch-icon-180x180.png" alt="avatar">
    </v-avatar>


    <v-text-field label="First name*" required :value="user.firstname" ></v-text-field>

    <v-text-field label="Last name*" required :value="user.lastname" ></v-text-field>

    <!-- v-model="renameDialogNewName" -->
    <v-text-field label="Email*" required :value="user.email" ></v-text-field>

    <v-subheader>Изменить пароль</v-subheader>
    <v-text-field
      type="password"
      append-icon="visibility_off"
      autocomplete="new-password"
      hint="At least 8 characters"
      label="Текущий пароль*" required value="" ></v-text-field>
    <v-text-field
      type="password"
      append-icon="visibility_off"
      hint="At least 8 characters"
      label="Новый пароль*" required value="" ></v-text-field>

    <a href="" @click.prevent="logout">Выход</a>
  </template>
  <div v-else>
    <login-enter></login-enter>
  </div>
</v-container>
</template>



<script>
import FileAPI from 'fileapi';
import { mapState } from 'vuex';

export default {
  components: {
    'login-enter': () => import('./LoginEnter.vue'),
  },
  computed: {
    accessTokenExpireTime() {
      return localStorage.getItem('JWT-expire');
    },
    ...mapState([
      'user',
    ])
  },
  data: () => ({
    loginform: {
      email: '',
      password: '',
    },
    items: [
      {
        text: 'Главная',
        to: '/',
      },
      {
        text: 'Профиль',
        to: '/profile',
        // disabled: true,
      },
    ]
  }),
  metaInfo: {
    title: 'Профиль',
  },
  mounted() {
    this.$store.commit('setMenu', {
      // title: this.$store.state.user.email + ' - Профиль',
      title: 'Профиль',
      items: [],
    });
  },
  methods: {
    logout() {
      window.api.logout();
      this.$store.commit('LOGOUT');
      this.$router.push({ path: '/' });
    },
  },
};
</script>
